package id.iptek.utms.agent.model;

import java.util.Date;

public class Application {

    protected String id;
    protected String appName;
    protected String packageName;
    protected String version;
    protected String companyName;
    protected boolean uninstallable;
    protected String description;
    protected String apkId;
    protected String fileId;
    protected String fileExt;
    protected Date fileCreateDate;
    protected String checksum;

    public Application() {
    }

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the appName
     */
    public String getAppName() {
        return appName;
    }

    /**
     * @param appName the appName to set
     */
    public void setAppName(String appName) {
        this.appName = appName;
    }

    /**
     * @return the packageName
     */
    public String getPackageName() {
        return packageName;
    }

    /**
     * @param packageName the packageName to set
     */
    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    /**
     * @return the version
     */
    public String getVersion() {
        return version;
    }

    /**
     * @param version the version to set
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * @return the companyName
     */
    public String getCompanyName() {
        return companyName;
    }

    /**
     * @param companyName the companyName to set
     */
    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    /**
     * @return the uninstallable
     */
    public boolean isUninstallable() {
        return uninstallable;
    }

    /**
     * @param uninstallable the uninstallable to set
     */
    public void setUninstallable(boolean uninstallable) {
        this.uninstallable = uninstallable;
    }

    /**
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * @param description the description to set
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * @return the apkId
     */
    public String getApkId() {
        return apkId;
    }

    /**
     * @param apkId the apkId to set
     */
    public void setApkId(String apkId) {
        this.apkId = apkId;
    }

    /**
     * @return the fileId
     */
    public String getFileId() {
        return fileId;
    }

    /**
     * @param fileId the fileId to set
     */
    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    /**
     * @return the fileExt
     */
    public String getFileExt() {
        return fileExt;
    }

    /**
     * @param fileExt the fileExt to set
     */
    public void setFileExt(String fileExt) {
        this.fileExt = fileExt;
    }

    /**
     * @return the fileCreateDate
     */
    public Date getFileCreateDate() {
        return fileCreateDate;
    }

    /**
     * @param fileCreateDate the fileCreateDate to set
     */
    public void setFileCreateDate(Date fileCreateDate) {
        this.fileCreateDate = fileCreateDate;
    }

    /**
     * @return the checksum
     */
    public String getChecksum() {
        return checksum;
    }

    /**
     * @param checksum the checksum to set
     */
    public void setChecksum(String checksum) {
        this.checksum = checksum;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("Application{");
        sb.append("id=").append(id);
        sb.append(", appName=").append(appName);
        sb.append(", packageName=").append(packageName);
        sb.append(", version=").append(version);
        sb.append(", companyName=").append(companyName);
        sb.append(", uninstallable=").append(uninstallable);
        sb.append(", description=").append(description);
        sb.append(", apkId=").append(apkId);
        sb.append(", fileId=").append(fileId);
        sb.append(", fileExt=").append(fileExt);
        sb.append(", fileCreateDate=").append(fileCreateDate);
        sb.append(", checksum=").append(checksum);
        sb.append('}');
        return sb.toString();
    }
}
